interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/pics/top.json?t=day&limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 74035 characters]
        WRxlah5o51+fw+sX/z9EIKVyucEEAA==
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['49669']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:38:14 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drj6cmq.2.1505363893683.Z0FBQUFBQlp1Z2UybDBodEpQSFBTNmZsalpQYTR2WDVuXzZ3NU9XRzQzeDM4TUNLQjZkc0hsZWcwNDRYZjFMbWxyVEtEejZGaXNZS1N2Z3VYcHh0aUYwSmFxcVhzN2VfT1RhSl9rY3lrVU5rNHNzWGRVUWE1ZEw5SHdQTG9lLW9fZ2J1MHJ3R2FJUno;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:38:14
          GMT; secure', 'session_tracker=ASQXXnyDbip2SCwtyI.0.1505363893678.Z0FBQUFBQlp1Z2UycHdCbnpELVpJeXBRVWNCN1NMdkhweFpJbjRWYzRfbWdwSEtYRkFyN0FVeFRjVm8zQ2pnRXdTOEhzOUU3eE9tc2Y5ek5nUnFNdEpMaWlLUVlXRUZWbU5NbU5ZOGtjRzQwMi1PY3ZYU3piem9vU1QyMzlnNVpwYVViSDVCNGtzc3A;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:38:14
          GMT; secure', edgebucket=UNIEdVryz65tUeFGsr; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1732-ORD]
      X-Timer: ['S1505363894.663384,VS0,VE669']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drj6cmq.2.1505363893683.Z0FBQUFBQlp1Z2UybDBodEpQSFBTNmZsalpQYTR2WDVuXzZ3NU9XRzQzeDM4TUNLQjZkc0hsZWcwNDRYZjFMbWxyVEtEejZGaXNZS1N2Z3VYcHh0aUYwSmFxcVhzN2VfT1RhSl9rY3lrVU5rNHNzWGRVUWE1ZEw5SHdQTG9lLW9fZ2J1MHJ3R2FJUno;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:38:14
          GMT; secure', 'session_tracker=ASQXXnyDbip2SCwtyI.0.1505363893678.Z0FBQUFBQlp1Z2UycHdCbnpELVpJeXBRVWNCN1NMdkhweFpJbjRWYzRfbWdwSEtYRkFyN0FVeFRjVm8zQ2pnRXdTOEhzOUU3eE9tc2Y5ek5nUnFNdEpMaWlLUVlXRUZWbU5NbU5ZOGtjRzQwMi1PY3ZYU3piem9vU1QyMzlnNVpwYVViSDVCNGtzc3A;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:38:14
          GMT; secure', edgebucket=UNIEdVryz65tUeFGsr; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=ntL%2FSTnjOIDsW4%2FLGKi%2BwnIq43ET7bgan6vcgzw9RdozHm465iA2EZfrhSFiudlCUwkAzOW9RDk%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
